GET /split/orders
List your split orders, newest first.
Use case
Order history view.
Query params
| Field | Type | Required | Description |
|---|---|---|---|
limit | integer | no | Page size, 1–50. Default 10. |
skip | integer | no | Number of orders to skip. Default 0. |
Response 200
{
"orders": [
{
"orderId": "665f1c2e9b1d4a0012345678",
"eStatus": "COMPLETED",
"eSource": "INTERNAL",
"nAmount": 2,
"sPayingWallet": "<wallet public key>",
"sDepositAddress": "<deposit address>",
"aDistributions": [
{ "sWalletAddress": "<wallet 1>", "nPctBips": 4800, "nSOL": 0.9504 }
],
"sSplitnowOrderId": "<id>",
"sSplitnowStatus": "<status>",
"sForwardTxSignature": "<signature>",
"sError": null,
"dCreatedAt": "2026-10-30T12:00:00.000Z",
"dUpdatedAt": "2026-10-30T12:09:00.000Z"
}
],
"total": 1
}
total is the number of all your split orders. Order fields are described
under get order.
Errors
| Status | Meaning |
|---|---|
400 | limit or skip out of range. |
Example
curl -H "Authorization: Bearer $ACCESS" -H "x-user-id: $USER_ID" \
"$BASE_URL/split/orders?limit=10&skip=0"